	{% include "admin/header.html" %}
	{% load set_var %}
	{% load currencytag %}
	<div class="col-md-10">
		
		<div class="row">
			<div class="page-header bootstrap-admin-content-title">
				<h1>Proyek {{ program.nama }}</h1>

				<a href="{% url 'beribuku_app:admin.program' %}" class="action">
					<button class="btn btn-sm btn-default">
						<i class="glyphicon glyphicon-chevron-left"></i>
						Back
					</button>
				</a>

			</div>

		</div>

		<div class="row">
			<div class="panel panel-default bootstrap-admin-no-table-panel">
				<div class="panel-heading">
					<div class="text-muted bootstrap-admin-box-title">Lihat Detail Program</div>					
					
					
				</div>
				<div class="bootstrap-admin-panel-content bootstrap-admin-no-table-panel-content collapse in">


		<div>
			<div class="newprogram">
				<div class="container"  style="width:100%">
					<div class="title">
						

						<a class="btn btn-default btn-warning" href="/admin/edit/?programId={{ program.id }}"><span class="glyphicon glyphicon-pencil" aria-hidden="true"></span></a>
						<a class="btn btn-default btn-warning" href="#" data-toggle="modal" data-target="#delete-{{ program.id }}" ><span class="glyphicon glyphicon-trash" aria-hidden="true"></span></a>
						<a class="btn btn-default btn-warning" href="/admin/donasi/new/{{ program.id }}"><span class="glyphicon glyphicon-plus" aria-hidden="true"></span> Donasi</a>
						<a class="btn btn-default btn-warning" href="/admin/donasi/uang/view/{{ program.id }}"><span class="glyphicon glyphicon-search" aria-hidden="true"></span> Donasi</a>
						<a class="btn btn-default btn-warning" href="/admin/exceldonatur/{{ program.id }}"><span class="glyphicon glyphicon-download-alt" aria-hidden="true"></span> Donatur</a>
						<a class="btn btn-default btn-warning" href="/admin/donasi/new/{{ program.id }}"><span class="glyphicon glyphicon-plus" aria-hidden="true"></span> Donatur</a>
						<a class="btn btn-default btn-warning" href="/admin/addLaporan/?programId={{ program.id }}"><span class="glyphicon glyphicon-plus" aria-hidden="true"></span> Laporan</a>
						<a class="btn btn-default btn-warning" href="/admin/laporan/realisasi/{{ program.id }}"><span class="
						{% if laporan_realisasi %}
						glyphicon glyphicon-pencil
						{% else %}
						glyphicon glyphicon-plus
						{% endif %}

						" aria-hidden="true"></span> Realisasi Kegiatan</a>
						<a class="btn btn-default btn-warning" href="/admin/word/{{ program.id }}"><span class="glyphicon glyphicon-download-alt" aria-hidden="true"></span> LPJ</a>

						
					</div>
					<div id="delete-{{ program.id }}" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
						  <div class="modal-dialog">
						    <div class="modal-content">

						      <div class="modal-header">
						        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
						        <h4 class="modal-title">Konfirmasi Menghapus Proyek</h4>
						      </div>

						      <div class="modal-body">
						        <p>Apakah anda yakin akan menghapus Proyek <strong>{{ program.nama }}</strong> ? Menghapus program {{ program.nama }} juga akan menghapus semua donatur yang mendonasikan di proyek ini (jumlah : {{ data.donatur_set.count }}). Proyek dan donatur yang dihapus tidak dapat dikembalikan</p>
						      </div>

						      <div class="modal-footer">
						        <button type="button" class="btn btn-default" data-dismiss="modal">Batalkan</button>
						        <a href="/admin/delete/?programId={{ programt.id }}" class="btn btn-primary">Hapus Proyek</a>
						      </div>
						    </div>
						  </div>
						</div>	

					<h3>Deskripsi :</h3>
					<p>{{ program.deskripsi }}</p>

					<h4>Target :</h4>
					<p>{{ program.target }}</p>

					<h4>Kebutuhan :</h4>
					<ul class="padded">
					{% for barang in program.barang_set.all %}
						<li>{{barang.nama}} {% if barang.jumlah %}(jumlah : {{barang.jumlah}}){% endif %}</li>
					{% endfor %}
					</ul>

					<h4>Partner :</h4>
					{% if program.partner %}
					<p>{{ program.partner }}</p>
					{% else %}
					<i>tidak ada</i>
					{% endif %}

					<h4>Rekening :</h4>
					<ul class="padded">
					{% for rek in program.donasi_set.all %}
						<li><strong>{{rek.rekening.bank}}</strong>, {{rek.rekening.noRekening}} a/n {{rek.rekening.nama}}</li>
					{% endfor %}
					</ul>

					<hr />
					<h3>Media :</h3>
					{% if program.logoPartner %}
					<h4>Logo Partner</h4>
					<img src="../../{{program.logoPartner}}" class="img-thumb pull-left">
					{% endif %}
					<div class="clearfix"></div>

					<h4>Gambar Proyek</h4>
						<div class="row">
						{% for foto in program.fotoprogram_set.all %}
						  <div class="col-sm-4 col-md-3">
						    <div class="thumbnail">
						      <img src="../../{{foto.gambar}}">
						      <div class="caption">
						        <p>{% if foto.caption == "" %}<i style="color:rgba(0,0,0,0.3)">Tidak ada keterangan gambar</i>{% else %}{{ foto.caption }}{% endif %}</p>
						      </div>
						    </div>
						  </div>
						{% endfor %}
						</div>

					<hr>
				</div>
			</div>
			<div class="program">
				<div class="container">

					<h3>Laporan :</h3>
					{% if laporan %}
					<div class="table">
						<table>
							<th>Keterangan</th>
							<th>Debet</th>
							<th>Kredit</th>

							{% autoescape on %}
							{% for l in laporan %}
							<tr>
								<td>{{ l.keterangan }}</td>
								<td>
									{% if l.isDebit %}
										{{ l.nominal|currency }}
									{% endif %}
								</td>
								<td>
									{% if l.isKredit %}
										{{ l.nominal|currency }}
									{% endif %}
								</td>
							</tr>
							{% endfor %}
							{% endautoescape %}

							<tr>
								<td><b>Saldo</b></td>
								<td></td>
								<td><b>{{ saldo|currency }}</b></td>
							</tr> 
						</table>
					</div>
					{% else %}
					Belum ada Laporan
					{% endif %}
				</div>
			</div>
		</div>
	</div>
	</div>
	</div>
	</div>
	</div>
	</div>
	
{% include "admin/footer.html" %}
	{% load static %}
	<script src="{% static 'js/bootstrap.min.js' %}"></script>
</body>
</html>